#! /bin/awk -f
#
# extract the xml from oncvpsp output
# 
# expected usage
# awk -f extract_xml.awk [description] pseudopotential.out
# if description is present, it is added to the default description
# of the ONCV pseudopotentials
#
# initialize read variable
BEGIN {
  read = 0
}
# description file present?
FNR == 1 {
  description=index(FILENAME,"description")
}
# read description
description != 0 {
  line[read] = $0
  read++
}
# print description
/Input file for PP generation/ && read > 0 {
  for ( i = 0; i < read; i++ ) {
    print " "line[i]
  }
  print "\n"
}
# stop printing when 'End PSP_FPMD' tag is read
/End PSP_FPMD/ {
  xml = 0
}
# print if we are between two tags
xml == 1 {
  print
}
# start printing when 'Begin PSP_FPMD' tag is read
/Begin PSP_FPMD/ {
  xml = 1
}

